[22689] branches/release_1_4/portmgr/IndexRegen.sh

source_changes at macosforge.org source_changes at macosforge.org
Sun Mar 11 07:44:18 PDT 2007


Revision: 22689
          http://trac.macosforge.org/projects/macports/changeset/22689
Author:   dluke at macports.org
Date:     2007-03-11 07:44:18 -0700 (Sun, 11 Mar 2007)

Log Message:
-----------
Move index regen base to release-1.4 branch
 - IndexRegen doesn't actually do a checkout (and so doesn't actually use the repo variables yet) becasue you need to manually prime the svn config directory with your authentication information before this will work anyway, so changes to where the base or dports updates are pulled can be achieved with just a svn switch (although it is probably good practice to update the variables in this file if only for documentation)

Modified Paths:
--------------
    branches/release_1_4/portmgr/IndexRegen.sh

Modified: branches/release_1_4/portmgr/IndexRegen.sh
===================================================================
--- branches/release_1_4/portmgr/IndexRegen.sh	2007-03-11 12:10:00 UTC (rev 22688)
+++ branches/release_1_4/portmgr/IndexRegen.sh	2007-03-11 14:44:18 UTC (rev 22689)
@@ -3,7 +3,7 @@
 ####
 # PortIndex regen automation script.
 # Created by Juan Manuel Palacios,
-# e-mail: jmpp at macports.org
+# e-mail: jmpp at opendarwin.org
 # Updated by Paul Guyot, <pguyot at kallisys.net>
 # Updated for svn by Daniel J. Luke <dluke at geeklair.net>
 # $Id$
@@ -21,7 +21,8 @@
 SPAM_LOVERS=macports-mgr at lists.macosforge.org,dluke at geeklair.net
 
 # Other settings (probably don't need to be changed).
-SVN_URL=http://svn.macports.org/repository/macports/trunk/
+SVN_DPORTS_URL=http://svn.macports.org/repository/macports/trunk/dports
+SVN_BASE_URL=http://svn.macports.org/repository/macports/branches/release_1_4
 SVN_CONFIG_DIR=${ROOT}/svnconfig
 # Where to checkout the source code. This gets created.
 TREE=${ROOT}/source
@@ -48,14 +49,23 @@
 fi
 
 # checkout if required, update otherwise.
-if [ ! -d ${TREE} ]; then
+if [ ! -d ${TREE}/dports ]; then
 		{ echo "SVN update failed, please check out a copy of DP into ${TREE}" >> $FAILURE_LOG ; FAILED=1 ; }
 else
-	cd ${TREE} && \
+	cd ${TREE}/dports && \
 	svn -q --non-interactive --config-dir $SVN_CONFIG_DIR update > $FAILURE_LOG 2>&1 \
 		|| { echo "SVN update failed" >> $FAILURE_LOG ; FAILED=1 ; }
 fi
 
+if [ ! -d ${TREE}/base ]; then
+        { echo "SVN update failed, please check out a copy of DP into ${TREE}" >> $FAILURE_LOG ; FAILED=1 ; }
+else
+    cd ${TREE}/base && \
+    svn -q --non-interactive --config-dir $SVN_CONFIG_DIR update > $FAILURE_LOG 2>&1 \
+        || { echo "SVN update failed" >> $FAILURE_LOG ; FAILED=1 ; }
+fi
+
+
 # (re)configure.
 if [ $FAILED -eq 0 ]; then
 	cd ${TREE}/base/ && \

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.macosforge.org/pipermail/macports-changes/attachments/20070311/17e057e4/attachment.html


More information about the macports-changes mailing list